<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: thermofluid_defs::thermofluid_t Type Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacethermofluid__defs.html">thermofluid_defs</a></li><li class="navelem"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html">thermofluid_t</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structthermofluid__defs_1_1thermofluid__t-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">thermofluid_defs::thermofluid_t Type Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Collaboration diagram for thermofluid_defs::thermofluid_t:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="structthermofluid__defs_1_1thermofluid__t__coll__graph.png" border="0" usemap="#thermofluid__defs_1_1thermofluid__t_coll__map" alt="Collaboration graph"/></div>
<map name="thermofluid__defs_1_1thermofluid__t_coll__map" id="thermofluid__defs_1_1thermofluid__t_coll__map">
<area shape="rect" id="node2" href="structthermofluid__defs_1_1tspecies__data__t.html" title="{thermofluid_defs::tspecies\l_data_t\n|+ n\l+ name\l+ wmix\l+ wmixi\l+ tcoeffs_h\l+ tcoeffs_c\l+ tag\l+ var_chemtable\l+ yi_work\l+ h_work\land 12 more...\l|}" alt="" coords="1554,3421,1729,3660"/>
<area shape="rect" id="node3" href="structthermofluid__defs_1_1scalar__unit__.html" title="{thermofluid_defs::scalar\l_unit_\n||}" alt="" coords="1641,3179,1802,3271"/>
<area shape="rect" id="node4" href="structscalar__defs_1_1scalar__.html" title="{scalar_defs::scalar_\n|+ name\l+ scheme\l+ type\l+ type_conv\l+ type_phase\l+ sid\l+ sc\l+ scold\l+ scold2\l+ diffmol\land 23 more...\l|}" alt="" coords="1792,2723,1931,2947"/>
<area shape="rect" id="node41" href="structthermofluid__defs_1_1combust__t.html" title="{thermofluid_defs::combust_t\n|+ type\l+ direct_chem_solve\l+ spec_lookup\l+ t_from_h_method\l+ n_spec_upd\l+ spec_names\l+ hexaint\l+ use_4d_table_premixed\l+ use_4d_table_diff\l+ mask\land 105 more...\l&#45; t_grad_x\l&#45; t_grad_y\l&#45; t_grad_z\l|}" alt="" coords="1291,3091,1477,3359"/>
<area shape="rect" id="node5" href="structmetric__conv__defs_1_1metric__conv__.html" title="{metric_conv_defs::metric\l_conv_\n|&#45; name\l&#45; order\l&#45; use_lap\l&#45; lap_orig_form\l&#45; config_vel_staggered\l&#45; type_conv\l&#45; type_rhoi\l&#45; stc1\l&#45; stc2\l&#45; stcp\land 66 more...\l|}" alt="" coords="2265,2341,2434,2580"/>
<area shape="rect" id="node6" href="structbc__metric__defs_1_1coeff__bc__.html" title="{bc_metric_defs::coeff_bc_\n|+ dist_e\l+ op\l+ rbc\l+ ibc\l|}" alt="" coords="1371,1937,1547,2059"/>
<area shape="rect" id="node32" href="structmetric__generic__defs_1_1metric__generic__.html" title="{metric_generic_defs\l::metric_generic_\n|&#45; name\l&#45; order\l&#45; st1\l&#45; st2\l&#45; stp\l&#45; visc_order\l&#45; st1_isx\l&#45; st2_isx\l&#45; coeff_deriv\l&#45; coeff_interp\land 38 more...\l|}" alt="" coords="1043,2341,1181,2580"/>
<area shape="rect" id="node7" href="structscalar__hybrid__defs__m_1_1solver__scalar__hybrid__t.html" title="{scalar_hybrid_defs\l_m::solver_scalar_hybrid_t\n|+ name\l+ active_hybrid\l+ max_closeness\l+ min_wt_hybrid\l+ max_wt_hybrid\l+ ratio_min_limit\l+ ratio_delta_limit\l+ delta_limit\l+ wt_diff_hybrid\l+ wt_fai\land 11 more...\l|}" alt="" coords="779,2341,957,2580"/>
<area shape="rect" id="node8" href="structsd__bc__defs__m_1_1bc__unit__.html" title="{sd_bc_defs_m::bc_unit_\n|+ sid\l+ use_target\l|}" alt="" coords="529,2415,693,2507"/>
<area shape="rect" id="node9" href="structdata__xx__defs_1_1bc__r1__.html" title="{data_xx_defs::bc_r1_\n|+ name\l+ sub_name\l+ data_type\l+ usage\l+ vector_bc\l+ shared_bc\l+ ddt_flag\l+ readwrite_flag\l+ auto_register_flag\l+ dump_flag\land 8 more...\l|}" alt="" coords="517,1151,664,1375"/>
<area shape="rect" id="node10" href="structsd__boundary__defs_1_1boundary__.html" title="{sd_boundary_defs::boundary_\n|+ name\l+ config\l+ changed\l+ object_moved\l+ sid\l+ sid_old\l+ material_index\l+ object_name\l+ index_s\l+ disable_thin_object\land 32 more...\l|}" alt="" coords="738,1886,934,2110"/>
<area shape="rect" id="node22" href="structib__defs__m_1_1ib__boundary__.html" title="{ib_defs_m::ib_boundary_\n|+ sc_neum_bc\l+ flag\l+ add_dpdx_intrp\l+ add_visc_intrp\l+ vel_nprobe\l+ mass_corr\l+ ke_corr\l+ solve_cv_gh\l+ cont_rm_divu\l+ clip_tw\land 12 more...\l|}" alt="" coords="621,1489,787,1713"/>
<area shape="rect" id="node11" href="structsd__boundary__defs_1_1bc__face__.html" title="{sd_boundary_defs::bc\l_face_\n|+ i\l+ j\l+ k\l+ icv\l+ jcv\l+ kcv\l+ icv_gh\l+ jcv_gh\l+ kcv_gh\l+ dir\land 36 more...\l|}" alt="" coords="270,1144,421,1383"/>
<area shape="rect" id="node28" href="structsd__boundary__defs_1_1bc__face__unit__.html" title="{sd_boundary_defs::bc\l_face_unit_\n||}" alt="" coords="361,1555,511,1647"/>
<area shape="rect" id="node12" href="structib__defs__m_1_1ib__face__.html" title="{ib_defs_m::ib_face_\n|+ ifa\l+ area\l+ area_normal\l+ area_normal_ib\l+ normal_ib\l+ uold\l+ udot_dpdx\l+ udot_visc\l+ uvec\l+ sc_flux_bc\land 7 more...\l|}" alt="" coords="416,623,555,847"/>
<area shape="rect" id="node13" href="structib__defs__m_1_1ib__intrp__.html" title="{ib_defs_m::ib_intrp_\n|+ np\l+ index\l+ weight\l+ x_ib\l+ eta\l+ wt_neum\l|}" alt="" coords="675,5,813,156"/>
<area shape="rect" id="node15" href="structib__defs__m_1_1ib__nprobe__.html" title="{ib_defs_m::ib_nprobe_\n|+ np\l+ ip_u\l+ dx\l+ x_ib\l+ d_ib\l+ d_ib_sign\l+ nv\l+ e_t\l+ xp\l+ wt_flux2d\l+ wt_d2flux\l+ wt_lin\l+ wt_neum\l+ icv_n\l|}" alt="" coords="667,248,821,516"/>
<area shape="rect" id="node25" href="structib__defs__m_1_1ib__edge__.html" title="{ib_defs_m::ib_edge_\n|+ area_normal\l+ uold\l+ udot_dpdx\l+ udot_visc\l+ uvec\l+ ke_coef\l+ new\l+ dpdx\l+ dpdx_mult\l+ flag\l|}" alt="" coords="798,630,941,839"/>
<area shape="rect" id="node14" href="structobject__tools__m_1_1closest__point__info__t.html" title="{object_tools_m::closest\l_point_info_t\n|+ x_ib\l+ normal\l+ dist\l+ object_index\l|}" alt="" coords="483,314,643,450"/>
<area shape="rect" id="node16" href="structsd__boundary__defs_1_1grid__face__.html" title="{sd_boundary_defs::grid\l_face_\n|+ i\l+ j\l+ k\l+ icv\l+ jcv\l+ kcv\l+ dir\l+ dir_sign\l+ type\l+ active\land 9 more...\l|}" alt="" coords="5,615,163,854"/>
<area shape="rect" id="node17" href="structbc__metric__defs_1_1bc__metric__.html" title="{bc_metric_defs::bc\l_metric_\n|+ type\l+ bc\l+ op\l+ op_bc\l+ op_orig\l+ dist_s\l+ dist_e\l+ target_op\l|}" alt="" coords="579,637,712,832"/>
<area shape="rect" id="node24" href="structsd__boundary__defs_1_1bc__edge__.html" title="{sd_boundary_defs::bc\l_edge_\n|+ i\l+ j\l+ k\l+ id_x\l+ ifa\l+ jfa\l+ kfa\l+ ifa_gh\l+ jfa_gh\l+ kfa_gh\land 25 more...\l|}" alt="" coords="934,1144,1085,1383"/>
<area shape="rect" id="node18" href="structib__defs__m_1_1wf__face__.html" title="{ib_defs_m::wf_face_\n|+ ifa\l+ normal\l+ d_ib\l+ d_pp\l+ d_cv\l+ ifluid\l+ ubc_type\l+ delubc\l+ ubc_avg\l+ active\l+ flag\l|}" alt="" coords="249,623,391,847"/>
<area shape="rect" id="node19" href="structsd__boundary__defs_1_1object__item__t.html" title="{sd_boundary_defs::object\l_item_t\n||}" alt="" coords="1349,1555,1520,1647"/>
<area shape="rect" id="node20" href="structobject__defs__m_1_1object__t.html" title="{object_defs_m::object_t\n|+ index_s\l+ type\l+ state\l+ virtual\l+ dummy\l+ rewind_next\l+ boundary_name\l+ id_attached_object\l+ rw_flag\l+ dump_flag\land 22 more...\l|}" alt="" coords="1357,1151,1518,1375"/>
<area shape="rect" id="node21" href="structparser_1_1param__t.html" title="{parser::param_t\n|+ type_line_len\l+ domain\l+ line\l+ line_ext1\l+ line_ext2\l+ line_ext3\l+ argc\l+ argc_tag\l+ argv\l+ argv_tag\l+ request_count\l+ processed\l+ domain_given\l+ tag_pos\l+ value_pos\l|}" alt="" coords="1379,593,1495,876"/>
<area shape="rect" id="node23" href="structib__defs__m_1_1ib__wf__bdry__.html" title="{ib_defs_m::ib_wf_bdry_\n|+ updated_tauw\l+ use_dpdx_t\l+ tauw_body_fit\l+ vel_type_t\l+ vel_type_n\l+ eddy_visc_type\l+ tot_time_mean\l+ filt_time_mean\l+ max_visc_ratio\l+ visc_dpdx_mult\land 12 more...\l|}" alt="" coords="749,1151,909,1375"/>
<area shape="rect" id="node26" href="structsd__boundary__defs_1_1grid__edge__.html" title="{sd_boundary_defs::grid\l_edge_\n|+ i\l+ j\l+ k\l+ id_x\l+ ifa\l+ jfa\l+ kfa\l+ ifa_gh\l+ jfa_gh\l+ kfa_gh\land 12 more...\l|}" alt="" coords="1136,615,1293,854"/>
<area shape="rect" id="node27" href="structib__defs__m_1_1wf__edge__.html" title="{ib_defs_m::wf_edge_\n|+ ied\l+ ied_comm\l+ normal\l+ d_ib\l+ d_pp\l+ d_fa\l+ ifluid\l+ ubc_type\l+ delubc\l+ ubc_avg\l+ active\l+ flag\l|}" alt="" coords="965,615,1112,854"/>
<area shape="rect" id="node29" href="structib__defs__m_1_1wf__boundary__.html" title="{ib_defs_m::wf_boundary_\n||}" alt="" coords="1605,1563,1776,1640"/>
<area shape="rect" id="node30" href="structib__defs__m_1_1visc__src__bdry__t.html" title="{ib_defs_m::visc_src\l_bdry_t\n|+ type_interp\l+ interp_max_width\l+ interp_max_delta\l+ set_ubc\l+ nfa\l+ ned_comm\l+ maxcw\l+ idist_max\l+ tw\l|}" alt="" coords="1621,1159,1760,1368"/>
<area shape="rect" id="node31" href="structscalar__weno3__defs_1_1solver__weno3__.html" title="{scalar_weno3_defs::\lsolver_weno3_\n|+ name\l+ weno3_xp\l+ weno3_yp\l+ weno3_zp\l+ weno3_xm\l+ weno3_ym\l+ weno3_zm\l+ cd_xp_1d\l+ cd_yp_1d\l+ cd_zp_1d\land 10 more...\l|}" alt="" coords="1263,2341,1406,2580"/>
<area shape="rect" id="node33" href="structscalar__cd2__defs_1_1solver__cd2__.html" title="{scalar_cd2_defs::solver_cd2_\n|+ name\l+ cd2_x\l+ cd2_y\l+ cd2_z\l+ flag\l|}" alt="" coords="1492,2393,1687,2529"/>
<area shape="rect" id="node34" href="structscalar__hybrid__defs__m_1_1matrix__scalar__hybrid__t.html" title="{scalar_hybrid_defs\l_m::matrix_scalar_hybrid_t\n|+ sts1\l+ sts2\l+ n_diag\l+ ax_flux\l+ ay_flux\l+ az_flux\l+ aux_flux\l+ auy_flux\l+ auz_flux\l|}" alt="" coords="1772,2356,1951,2565"/>
<area shape="rect" id="node35" href="structscalar__weno5__defs_1_1solver__weno5__.html" title="{scalar_weno5_defs::\lsolver_weno5_\n|+ name\l+ ult\l+ weno5_xm\l+ weno5_xp\l+ weno5_ym\l+ weno5_yp\l+ weno5_zm\l+ weno5_zp\l+ s0_xm_1d\l+ s0_xp_1d\land 17 more...\l|}" alt="" coords="2037,2341,2179,2580"/>
<area shape="rect" id="node36" href="structscalar__quick__defs_1_1solver__quick__.html" title="{scalar_quick_defs::\lsolver_quick_\n|+ name\l+ quick_xp\l+ quick_yp\l+ quick_zp\l+ quick_xm\l+ quick_ym\l+ quick_zm\l+ quick_xp_1d\l+ quick_yp_1d\l+ quick_zp_1d\land 6 more...\l|}" alt="" coords="2633,1879,2767,2117"/>
<area shape="rect" id="node37" href="structscalar__bquick__defs_1_1solver__bquick__t.html" title="{scalar_bquick_defs\l::solver_bquick_t\n|+ name\l+ bquick_xp\l+ bquick_yp\l+ bquick_zp\l+ bquick_xm\l+ bquick_ym\l+ bquick_zm\l+ bounded\l+ sc_min_ptr\l+ sc_max_ptr\l+ force_upwind\l+ bound_type\l+ flag\l|}" alt="" coords="3066,2327,3201,2595"/>
<area shape="rect" id="node38" href="structscalar__houc__defs_1_1solver__houc__.html" title="{scalar_houc_defs::solver\l_houc_\n|+ name\l+ nhouc\l+ sthp1\l+ sthp2\l+ sthm1\l+ sthm2\l+ houc_xm\l+ houc_xp\l+ houc_ym\l+ houc_yp\land 9 more...\l|}" alt="" coords="2650,2341,2817,2580"/>
<area shape="rect" id="node39" href="structimplicit__defs_1_1solver__implicit__.html" title="{implicit_defs::solver\l_implicit_\n|+ implicit_x\l+ implicit_y\l+ implicit_z\l+ implicit_any\l+ implicit_auto\l+ type\l+ cvg\l+ max_iter\l|}" alt="" coords="2903,2363,3041,2558"/>
<area shape="rect" id="node40" href="structdata__xx__defs_1_1r3__unit__.html" title="{data_xx_defs::r3_unit_\n|+ d\l|}" alt="" coords="1753,3502,1908,3579"/>
<area shape="rect" id="node42" href="structcombust__model__defs_1_1finitechem__t.html" title="{combust_model_defs\l::finitechem_t\n|+ sc1\l+ sc2\l+ rho1\l+ species_names\l+ species_sc\l+ species_scold\l+ species_sc1\l+ species_srcscmid\l+ species_srcscfull\l+ species_diff\land 32 more...\l|}" alt="" coords="1607,2716,1753,2955"/>
<area shape="rect" id="node43" href="structcombust__model__defs_1_1multiregime__t.html" title="{combust_model_defs\l::multiregime_t\n|+ regime\l+ regime_avg\l+ regime_pct\l+ y_o2\l+ y_fuel\l+ y_o2_norm\l+ y_fuel_norm\l+ flame_index\l+ u_rho\l+ d2c_dz2\land 16 more...\l|}" alt="" coords="615,2716,761,2955"/>
<area shape="rect" id="node44" href="structthermofluid__defs_1_1chemtable__4d__t.html" title="{thermofluid_defs::chemtable_4d_t\n|+ combmodel\l+ n1\l+ n2\l+ n3\l+ n4\l+ x1min\l+ x1max\l+ x2min\l+ x2max\l+ x3min\land 22 more...\l|}" alt="" coords="785,2723,1004,2947"/>
<area shape="rect" id="node45" href="structcombust__model__defs_1_1premix__t.html" title="{combust_model_defs\l::premix_t\n|+ premixed_extrap\l+ lfl_prem\l+ rfl_prem\l+ flame_width\l+ burn_vel\l+ lvlset_track\l+ lvlset_bound\l+ lvlwidth\l+ lvlshift\l+ c_g\l+ psi_lvlset\l+ c_intrmed\l+ typelvlcoupling\l|}" alt="" coords="1028,2701,1175,2969"/>
<area shape="rect" id="node46" href="structthermofluid__defs_1_1chemtable__t.html" title="{thermofluid_defs::chemtable_t\n|+ combmodel\l+ n1\l+ n2\l+ n3\l+ x1min\l+ x1max\l+ x2min\l+ x2max\l+ x3min\l+ x3max\land 14 more...\l|}" alt="" coords="1199,2723,1396,2947"/>
<area shape="rect" id="node47" href="structchemtable__defs_1_1table__t.html" title="{chemtable_defs::table_t\n|+ imported\l+ wmix_added\l+ cminmax_added\l+ type_combmodel\l+ nv\l+ nt\l+ names\l+ it\l+ it_prog\l+ iv\l|}" alt="" coords="1421,2731,1582,2940"/>
<area shape="rect" id="node48" href="structchemtable__defs_1_1vt__t.html" title="{chemtable_defs::vt_t\n|+ n\l+ dim\l+ data\l+ intrp_type\l+ clip\l+ names\l+ nv\l+ intrp\l+ w_up\l+ w_low\land 8 more...\l|}" alt="" coords="360,2349,504,2573"/>
<area shape="rect" id="node49" href="structchemtable__defs_1_1co__t.html" title="{chemtable_defs::co_t\n|+ name\l+ n\l+ minmax\l+ x\l+ dxi\l+ r3\l+ r0\l|}" alt="" coords="359,1915,505,2081"/>
<area shape="rect" id="node50" href="structthermofluid__defs_1_1tspecies__t.html" title="{thermofluid_defs::tspecies_t\n|+ name\l+ wmix\l+ tcoeffs_h\l+ tcoeffs_c\l+ yi_sc\l+ sc_name\l+ set\l|}" alt="" coords="1932,3458,2119,3623"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a4251e0d4417ab580484570a1e39768bb"><td class="memItemLeft" align="right" valign="top">character(len=str_medium)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#a4251e0d4417ab580484570a1e39768bb">name</a> = 'N/A'</td></tr>
<tr class="separator:a4251e0d4417ab580484570a1e39768bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87c26f30dc091cbf689dd6ffc5be4557"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#a87c26f30dc091cbf689dd6ffc5be4557">chem_type</a> = TYPE_NO_CHEM</td></tr>
<tr class="separator:a87c26f30dc091cbf689dd6ffc5be4557"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac963170341a789d0edd83d79e79b5459"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#ac963170341a789d0edd83d79e79b5459">const_vol</a></td></tr>
<tr class="separator:ac963170341a789d0edd83d79e79b5459"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89b7b6c51b37589d06219a026efc183c"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#a89b7b6c51b37589d06219a026efc183c">detail_diff</a> = .FALSE.</td></tr>
<tr class="separator:a89b7b6c51b37589d06219a026efc183c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad202a5f3f2f035ce3437229b99dc1283"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structthermofluid__defs_1_1combust__t.html">combust_t</a>), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#ad202a5f3f2f035ce3437229b99dc1283">comb</a> =&gt; null()</td></tr>
<tr class="separator:ad202a5f3f2f035ce3437229b99dc1283"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a601cee74699ecdb34d9bae8251cd8c1e"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#a601cee74699ecdb34d9bae8251cd8c1e">compressible</a> = .FALSE.</td></tr>
<tr class="separator:a601cee74699ecdb34d9bae8251cd8c1e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a97d4d9c97331211ddeee625d08b5fa84"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#a97d4d9c97331211ddeee625d08b5fa84">p_dependence</a> = .FALSE.</td></tr>
<tr class="separator:a97d4d9c97331211ddeee625d08b5fa84"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26e2ef5c61a164192e10a69f12d50d2a"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#a26e2ef5c61a164192e10a69f12d50d2a">p_input</a></td></tr>
<tr class="separator:a26e2ef5c61a164192e10a69f12d50d2a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2d9b965212e122559dcb4ebf870959a"><td class="memItemLeft" align="right" valign="top">real(wp), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#ad2d9b965212e122559dcb4ebf870959a">p_thermo_file</a></td></tr>
<tr class="separator:ad2d9b965212e122559dcb4ebf870959a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acad82d583983007d3f4cbc91422921fe"><td class="memItemLeft" align="right" valign="top">real(wp), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#acad82d583983007d3f4cbc91422921fe">p_thermo</a></td></tr>
<tr class="separator:acad82d583983007d3f4cbc91422921fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad22503a9c423916de599fba42dfc7915"><td class="memItemLeft" align="right" valign="top">real(wp), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#ad22503a9c423916de599fba42dfc7915">p_thermo_old</a></td></tr>
<tr class="separator:ad22503a9c423916de599fba42dfc7915"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa40c6b30e42da9e22c13b36c359b11b0"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#aa40c6b30e42da9e22c13b36c359b11b0">p_thermo_cf</a> =&gt; null()</td></tr>
<tr class="separator:aa40c6b30e42da9e22c13b36c359b11b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c0475c75f39a0b25dc67e13b64150e8"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#a4c0475c75f39a0b25dc67e13b64150e8">p_thermo_old_cf</a> =&gt; null()</td></tr>
<tr class="separator:a4c0475c75f39a0b25dc67e13b64150e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0699d0ccdd6f0bea907f017394df4f2d"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#a0699d0ccdd6f0bea907f017394df4f2d">p_table</a> =&gt; null()</td></tr>
<tr class="separator:a0699d0ccdd6f0bea907f017394df4f2d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa5602792382f614686d6e2bdceef311e"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#aa5602792382f614686d6e2bdceef311e">rho_model</a></td></tr>
<tr class="separator:aa5602792382f614686d6e2bdceef311e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a580e0d711d26b61990d2679d9716453b"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#a580e0d711d26b61990d2679d9716453b">nfilter</a></td></tr>
<tr class="separator:a580e0d711d26b61990d2679d9716453b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80f16f35e3c7239866441281b22813b8"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#a80f16f35e3c7239866441281b22813b8">rho_0</a></td></tr>
<tr class="separator:a80f16f35e3c7239866441281b22813b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a274e5ae7d2d1e5026ae5535d683d61"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#a8a274e5ae7d2d1e5026ae5535d683d61">wmix</a> =&gt; null()</td></tr>
<tr class="separator:a8a274e5ae7d2d1e5026ae5535d683d61"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9d7ad93a8af99834286de267a6c25fd"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#ae9d7ad93a8af99834286de267a6c25fd">cp</a> =&gt; null()</td></tr>
<tr class="separator:ae9d7ad93a8af99834286de267a6c25fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a058b3379155f98c27af6af4a6b98d3c3"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#a058b3379155f98c27af6af4a6b98d3c3">gamma</a> =&gt; null()</td></tr>
<tr class="separator:a058b3379155f98c27af6af4a6b98d3c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1ce2624a1007c6a3eae44582eee7ceb"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#ae1ce2624a1007c6a3eae44582eee7ceb">zmix</a> =&gt; null()</td></tr>
<tr class="separator:ae1ce2624a1007c6a3eae44582eee7ceb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8c9412597b022b2f3e6700afbb179fa"><td class="memItemLeft" align="right" valign="top">type(name_t), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#af8c9412597b022b2f3e6700afbb179fa">first_sc_name_chi</a> =&gt; null()</td></tr>
<tr class="separator:af8c9412597b022b2f3e6700afbb179fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a280d0d63975430ba96974f526fe22bf3"><td class="memItemLeft" align="right" valign="top">type(name_t), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#a280d0d63975430ba96974f526fe22bf3">first_sc_name_varsgs</a> =&gt; null()</td></tr>
<tr class="separator:a280d0d63975430ba96974f526fe22bf3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2103e1e8c079c53754d9638d8f3a98b"><td class="memItemLeft" align="right" valign="top">type(name_t), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#ad2103e1e8c079c53754d9638d8f3a98b">first_sc_name_varsol</a> =&gt; null()</td></tr>
<tr class="separator:ad2103e1e8c079c53754d9638d8f3a98b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a660a63a9148f61f600ed40949c69f949"><td class="memItemLeft" align="right" valign="top">type(name_t), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#a660a63a9148f61f600ed40949c69f949">first_sc_name_varsc2</a> =&gt; null()</td></tr>
<tr class="separator:a660a63a9148f61f600ed40949c69f949"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae85184f7f953df420ce8448e4f139b2d"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#ae85184f7f953df420ce8448e4f139b2d">visc_input</a></td></tr>
<tr class="separator:ae85184f7f953df420ce8448e4f139b2d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad9cca94ce8f5a7b599ac6278cdb649d7"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#ad9cca94ce8f5a7b599ac6278cdb649d7">diff_input</a></td></tr>
<tr class="separator:ad9cca94ce8f5a7b599ac6278cdb649d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a710545b7b6ffbcc89f92653239259f7c"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#a710545b7b6ffbcc89f92653239259f7c">rho_input</a></td></tr>
<tr class="separator:a710545b7b6ffbcc89f92653239259f7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1a60f87e557f1b58a3b66977ce7851c"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#ad1a60f87e557f1b58a3b66977ce7851c">t_input</a></td></tr>
<tr class="separator:ad1a60f87e557f1b58a3b66977ce7851c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9185d7c48e886c09a75f41d46698e4ac"><td class="memItemLeft" align="right" valign="top">integer, pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#a9185d7c48e886c09a75f41d46698e4ac">energy_type</a> =&gt; null()</td></tr>
<tr class="separator:a9185d7c48e886c09a75f41d46698e4ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb185b943454377bbc75fd9d336a7cf8"><td class="memItemLeft" align="right" valign="top">integer, pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#aeb185b943454377bbc75fd9d336a7cf8">t_from_e_type</a> =&gt; null()</td></tr>
<tr class="separator:aeb185b943454377bbc75fd9d336a7cf8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4464f4a8294c8203696c0a5bd753a45"><td class="memItemLeft" align="right" valign="top">integer, pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#af4464f4a8294c8203696c0a5bd753a45">type_eos</a> =&gt; null()</td></tr>
<tr class="separator:af4464f4a8294c8203696c0a5bd753a45"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a201aa9c2397d293a0878bd84485fc92a"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#a201aa9c2397d293a0878bd84485fc92a">reinit_rho</a></td></tr>
<tr class="separator:a201aa9c2397d293a0878bd84485fc92a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af1fdf2de877f5bcf70ba610a1a2b43ea"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#af1fdf2de877f5bcf70ba610a1a2b43ea">recalc_rho</a></td></tr>
<tr class="separator:af1fdf2de877f5bcf70ba610a1a2b43ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f675977699907b5d4088e32fa5e63da"><td class="memItemLeft" align="right" valign="top">logical, pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#a4f675977699907b5d4088e32fa5e63da">rho_present</a> =&gt; null()</td></tr>
<tr class="separator:a4f675977699907b5d4088e32fa5e63da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d02dd448a887bba1296efd79ed3f7fd"><td class="memItemLeft" align="right" valign="top">logical, pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#a7d02dd448a887bba1296efd79ed3f7fd">drho_present</a> =&gt; null()</td></tr>
<tr class="separator:a7d02dd448a887bba1296efd79ed3f7fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af57ece37fdb2147ec806504311b5f162"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#af57ece37fdb2147ec806504311b5f162">t</a> =&gt; null()</td></tr>
<tr class="separator:af57ece37fdb2147ec806504311b5f162"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abbfd3ccc6c4f96ec11b8a2e46c2e7cd7"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#abbfd3ccc6c4f96ec11b8a2e46c2e7cd7">e</a> =&gt; null()</td></tr>
<tr class="separator:abbfd3ccc6c4f96ec11b8a2e46c2e7cd7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a92c61cd4752cf19e4aee806b98072c0f"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#a92c61cd4752cf19e4aee806b98072c0f">enth</a> =&gt; null()</td></tr>
<tr class="separator:a92c61cd4752cf19e4aee806b98072c0f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab724724f555b2b501c5b7c9cda2d6404"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#ab724724f555b2b501c5b7c9cda2d6404">delta_rho</a> =&gt; null()</td></tr>
<tr class="separator:ab724724f555b2b501c5b7c9cda2d6404"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab96ff6c04ed7648d572245a399d5406c"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#ab96ff6c04ed7648d572245a399d5406c">hmin_old</a></td></tr>
<tr class="separator:ab96ff6c04ed7648d572245a399d5406c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa59a92f3021a846415562d8a6090b3ab"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#aa59a92f3021a846415562d8a6090b3ab">hmax_old</a></td></tr>
<tr class="separator:aa59a92f3021a846415562d8a6090b3ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9fac5e3af50f5868347bea305ae2a0d3"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#a9fac5e3af50f5868347bea305ae2a0d3">min_t</a></td></tr>
<tr class="separator:a9fac5e3af50f5868347bea305ae2a0d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a04ce4673c0e79b5725db9051da6416f6"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#a04ce4673c0e79b5725db9051da6416f6">max_t</a></td></tr>
<tr class="separator:a04ce4673c0e79b5725db9051da6416f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af5df3b4f939be6df7161fa4d3b1868df"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#af5df3b4f939be6df7161fa4d3b1868df">min_rho</a></td></tr>
<tr class="separator:af5df3b4f939be6df7161fa4d3b1868df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f52515f71099e9ea49de5fb344cd634"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#a5f52515f71099e9ea49de5fb344cd634">max_rho</a></td></tr>
<tr class="separator:a5f52515f71099e9ea49de5fb344cd634"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76b2ebab229c58ceba7ba0c3335c20ee"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#a76b2ebab229c58ceba7ba0c3335c20ee">max_drho</a></td></tr>
<tr class="separator:a76b2ebab229c58ceba7ba0c3335c20ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ef84f59d63ebce7415bfc0f5f1317a3"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#a2ef84f59d63ebce7415bfc0f5f1317a3">eint</a></td></tr>
<tr class="separator:a2ef84f59d63ebce7415bfc0f5f1317a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41546bdc2018996d511ebfa9bc8ae1b0"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#a41546bdc2018996d511ebfa9bc8ae1b0">clip_drho</a></td></tr>
<tr class="separator:a41546bdc2018996d511ebfa9bc8ae1b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6223cf389a27f6523c62b04acc7eaa36"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#a6223cf389a27f6523c62b04acc7eaa36">recompute_visc_mix_phi</a> = .false.</td></tr>
<tr class="separator:a6223cf389a27f6523c62b04acc7eaa36"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f734754a8f34352cc9627f14fc0a43d"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#a3f734754a8f34352cc9627f14fc0a43d">spray_case</a></td></tr>
<tr class="separator:a3f734754a8f34352cc9627f14fc0a43d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a4c3186e8b17e887119da98296a6ec3"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structdata__xx__defs_1_1r3__unit__.html">r3_unit_</a>), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#a4a4c3186e8b17e887119da98296a6ec3">zmix_mc</a> =&gt; null()</td></tr>
<tr class="separator:a4a4c3186e8b17e887119da98296a6ec3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2bfefaaba425f6fc2f9abe09bd6b4cc2"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structdata__xx__defs_1_1r3__unit__.html">r3_unit_</a>), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#a2bfefaaba425f6fc2f9abe09bd6b4cc2">zmix_mc_diff</a> =&gt; null()</td></tr>
<tr class="separator:a2bfefaaba425f6fc2f9abe09bd6b4cc2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b1adbc12f078c6f91094750faa97eac"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structdata__xx__defs_1_1r3__unit__.html">r3_unit_</a>), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#a0b1adbc12f078c6f91094750faa97eac">zmix_mc_srcscfull</a> =&gt; null()</td></tr>
<tr class="separator:a0b1adbc12f078c6f91094750faa97eac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a879133df09088f6ed1a556ecc38ea774"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structdata__xx__defs_1_1r3__unit__.html">r3_unit_</a>), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#a879133df09088f6ed1a556ecc38ea774">theta_mc</a> =&gt; null()</td></tr>
<tr class="separator:a879133df09088f6ed1a556ecc38ea774"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a724e7f2c4a62466fb2494996edd661a3"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structdata__xx__defs_1_1r3__unit__.html">r3_unit_</a>), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#a724e7f2c4a62466fb2494996edd661a3">theta_mc_diff</a> =&gt; null()</td></tr>
<tr class="separator:a724e7f2c4a62466fb2494996edd661a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a001f508f38bf0f80c46e657e8d013cd4"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structdata__xx__defs_1_1r3__unit__.html">r3_unit_</a>), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#a001f508f38bf0f80c46e657e8d013cd4">theta_mc_srcscfull</a> =&gt; null()</td></tr>
<tr class="separator:a001f508f38bf0f80c46e657e8d013cd4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a9cdc9fdf0e74a7c04ca1cf837e7094"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structdata__xx__defs_1_1r3__unit__.html">r3_unit_</a>), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#a3a9cdc9fdf0e74a7c04ca1cf837e7094">psi_mc</a> =&gt; null()</td></tr>
<tr class="separator:a3a9cdc9fdf0e74a7c04ca1cf837e7094"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad54074f174bffbfc98233750b5ed22d9"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structdata__xx__defs_1_1r3__unit__.html">r3_unit_</a>), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#ad54074f174bffbfc98233750b5ed22d9">psi_mc_diff</a> =&gt; null()</td></tr>
<tr class="separator:ad54074f174bffbfc98233750b5ed22d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a804283e60546c18e4eeded3123d88c53"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structdata__xx__defs_1_1r3__unit__.html">r3_unit_</a>), dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#a804283e60546c18e4eeded3123d88c53">psi_mc_srcscfull</a> =&gt; null()</td></tr>
<tr class="separator:a804283e60546c18e4eeded3123d88c53"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac605253bf25ae9160eb525036a21386f"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#ac605253bf25ae9160eb525036a21386f">r_cst</a> =8.314472_WP</td></tr>
<tr class="separator:ac605253bf25ae9160eb525036a21386f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4687e7beb1c9a80e95085feda48af6a"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#ad4687e7beb1c9a80e95085feda48af6a">r_cst_inv</a> = 1.0_WP/8.314472_WP</td></tr>
<tr class="separator:ad4687e7beb1c9a80e95085feda48af6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a599559ce3859cf36d18367b6e5e9500d"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#a599559ce3859cf36d18367b6e5e9500d">species_dump</a></td></tr>
<tr class="separator:a599559ce3859cf36d18367b6e5e9500d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd8063520dd7659bde6757352d949b11"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#abd8063520dd7659bde6757352d949b11">n_total_tspecies</a> = 0</td></tr>
<tr class="separator:abd8063520dd7659bde6757352d949b11"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abeac07a71973e2a76c79bcb8ba8a50a8"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structthermofluid__defs_1_1tspecies__t.html">tspecies_t</a>), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#abeac07a71973e2a76c79bcb8ba8a50a8">first_tspecies</a> =&gt; null()</td></tr>
<tr class="separator:abeac07a71973e2a76c79bcb8ba8a50a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c17b603701ee66c3ed2be3baaaaf01c"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#a2c17b603701ee66c3ed2be3baaaaf01c">type_tspecies</a> = TYPE_DEFAULT_TSPECIES</td></tr>
<tr class="separator:a2c17b603701ee66c3ed2be3baaaaf01c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a09166429d0691ee1840f77c326ff42f1"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#a09166429d0691ee1840f77c326ff42f1">type_tspecies_trsp</a> = TYPE_DEFAULT_TSPECIES</td></tr>
<tr class="separator:a09166429d0691ee1840f77c326ff42f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f76bc0912b5169f8cbb8effcb2a8240"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structthermofluid__defs_1_1tspecies__data__t.html">tspecies_data_t</a>), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#a5f76bc0912b5169f8cbb8effcb2a8240">thermo_spec</a></td></tr>
<tr class="separator:a5f76bc0912b5169f8cbb8effcb2a8240"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af2d7312f29cba00c416aa658d4d8c1e9"><td class="memItemLeft" align="right" valign="top">integer, dimension(:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#af2d7312f29cba00c416aa658d4d8c1e9">var_of_tspecies</a> =&gt; null()</td></tr>
<tr class="separator:af2d7312f29cba00c416aa658d4d8c1e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab097827cdf1fa097b8094d7c39b9467c"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#ab097827cdf1fa097b8094d7c39b9467c">tspecies_initialized</a> = .FALSE.</td></tr>
<tr class="separator:ab097827cdf1fa097b8094d7c39b9467c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a453df681fd81271d436d95078852ee8a"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#a453df681fd81271d436d95078852ee8a">tspecies_single_gamma</a> = 1.4_WP</td></tr>
<tr class="separator:a453df681fd81271d436d95078852ee8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a020b70ecea0f263c4c207551f686a15b"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#a020b70ecea0f263c4c207551f686a15b">molc</a> = 12.00e-3_WP</td></tr>
<tr class="separator:a020b70ecea0f263c4c207551f686a15b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a138f6489f6992a3754b3a01cf2ae08bb"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#a138f6489f6992a3754b3a01cf2ae08bb">molo</a> = 16.00e-3_WP</td></tr>
<tr class="separator:a138f6489f6992a3754b3a01cf2ae08bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d5126fe2f4052217732325edf3c15a4"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#a3d5126fe2f4052217732325edf3c15a4">molh</a> = 1.007e-3_WP</td></tr>
<tr class="separator:a3d5126fe2f4052217732325edf3c15a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab7bcb6b8da54faa12b35ec0bc6c89978"><td class="memItemLeft" align="right" valign="top">real(wp)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#ab7bcb6b8da54faa12b35ec0bc6c89978">moln</a> = 14.00e-3_WP</td></tr>
<tr class="separator:ab7bcb6b8da54faa12b35ec0bc6c89978"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5b9169feb86b0099b1a411c0872f42b"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structthermofluid__defs_1_1thermofluid__t.html#ac5b9169feb86b0099b1a411c0872f42b">energy_flux</a> = .FALSE.</td></tr>
<tr class="separator:ac5b9169feb86b0099b1a411c0872f42b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a87c26f30dc091cbf689dd6ffc5be4557"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a87c26f30dc091cbf689dd6ffc5be4557">&#9670;&nbsp;</a></span>chem_type</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer thermofluid_defs::thermofluid_t::chem_type = TYPE_NO_CHEM</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a41546bdc2018996d511ebfa9bc8ae1b0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a41546bdc2018996d511ebfa9bc8ae1b0">&#9670;&nbsp;</a></span>clip_drho</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer thermofluid_defs::thermofluid_t::clip_drho</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad202a5f3f2f035ce3437229b99dc1283"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad202a5f3f2f035ce3437229b99dc1283">&#9670;&nbsp;</a></span>comb</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structthermofluid__defs_1_1combust__t.html">combust_t</a>), pointer thermofluid_defs::thermofluid_t::comb =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a601cee74699ecdb34d9bae8251cd8c1e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a601cee74699ecdb34d9bae8251cd8c1e">&#9670;&nbsp;</a></span>compressible</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical thermofluid_defs::thermofluid_t::compressible = .FALSE.</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac963170341a789d0edd83d79e79b5459"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac963170341a789d0edd83d79e79b5459">&#9670;&nbsp;</a></span>const_vol</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical thermofluid_defs::thermofluid_t::const_vol</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae9d7ad93a8af99834286de267a6c25fd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae9d7ad93a8af99834286de267a6c25fd">&#9670;&nbsp;</a></span>cp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:), pointer thermofluid_defs::thermofluid_t::cp =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab724724f555b2b501c5b7c9cda2d6404"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab724724f555b2b501c5b7c9cda2d6404">&#9670;&nbsp;</a></span>delta_rho</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:), pointer thermofluid_defs::thermofluid_t::delta_rho =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a89b7b6c51b37589d06219a026efc183c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a89b7b6c51b37589d06219a026efc183c">&#9670;&nbsp;</a></span>detail_diff</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical thermofluid_defs::thermofluid_t::detail_diff = .FALSE.</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad9cca94ce8f5a7b599ac6278cdb649d7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad9cca94ce8f5a7b599ac6278cdb649d7">&#9670;&nbsp;</a></span>diff_input</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) thermofluid_defs::thermofluid_t::diff_input</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7d02dd448a887bba1296efd79ed3f7fd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7d02dd448a887bba1296efd79ed3f7fd">&#9670;&nbsp;</a></span>drho_present</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical, pointer thermofluid_defs::thermofluid_t::drho_present =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="abbfd3ccc6c4f96ec11b8a2e46c2e7cd7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abbfd3ccc6c4f96ec11b8a2e46c2e7cd7">&#9670;&nbsp;</a></span>e</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:), pointer thermofluid_defs::thermofluid_t::e =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2ef84f59d63ebce7415bfc0f5f1317a3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2ef84f59d63ebce7415bfc0f5f1317a3">&#9670;&nbsp;</a></span>eint</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) thermofluid_defs::thermofluid_t::eint</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac5b9169feb86b0099b1a411c0872f42b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac5b9169feb86b0099b1a411c0872f42b">&#9670;&nbsp;</a></span>energy_flux</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical thermofluid_defs::thermofluid_t::energy_flux = .FALSE.</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9185d7c48e886c09a75f41d46698e4ac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9185d7c48e886c09a75f41d46698e4ac">&#9670;&nbsp;</a></span>energy_type</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, pointer thermofluid_defs::thermofluid_t::energy_type =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a92c61cd4752cf19e4aee806b98072c0f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a92c61cd4752cf19e4aee806b98072c0f">&#9670;&nbsp;</a></span>enth</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:), pointer thermofluid_defs::thermofluid_t::enth =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af8c9412597b022b2f3e6700afbb179fa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af8c9412597b022b2f3e6700afbb179fa">&#9670;&nbsp;</a></span>first_sc_name_chi</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">type(name_t), pointer thermofluid_defs::thermofluid_t::first_sc_name_chi =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a660a63a9148f61f600ed40949c69f949"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a660a63a9148f61f600ed40949c69f949">&#9670;&nbsp;</a></span>first_sc_name_varsc2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">type(name_t), pointer thermofluid_defs::thermofluid_t::first_sc_name_varsc2 =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a280d0d63975430ba96974f526fe22bf3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a280d0d63975430ba96974f526fe22bf3">&#9670;&nbsp;</a></span>first_sc_name_varsgs</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">type(name_t), pointer thermofluid_defs::thermofluid_t::first_sc_name_varsgs =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad2103e1e8c079c53754d9638d8f3a98b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad2103e1e8c079c53754d9638d8f3a98b">&#9670;&nbsp;</a></span>first_sc_name_varsol</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">type(name_t), pointer thermofluid_defs::thermofluid_t::first_sc_name_varsol =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="abeac07a71973e2a76c79bcb8ba8a50a8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abeac07a71973e2a76c79bcb8ba8a50a8">&#9670;&nbsp;</a></span>first_tspecies</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structthermofluid__defs_1_1tspecies__t.html">tspecies_t</a>), pointer thermofluid_defs::thermofluid_t::first_tspecies =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a058b3379155f98c27af6af4a6b98d3c3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a058b3379155f98c27af6af4a6b98d3c3">&#9670;&nbsp;</a></span>gamma</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:), pointer thermofluid_defs::thermofluid_t::gamma =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa59a92f3021a846415562d8a6090b3ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa59a92f3021a846415562d8a6090b3ab">&#9670;&nbsp;</a></span>hmax_old</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) thermofluid_defs::thermofluid_t::hmax_old</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab96ff6c04ed7648d572245a399d5406c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab96ff6c04ed7648d572245a399d5406c">&#9670;&nbsp;</a></span>hmin_old</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) thermofluid_defs::thermofluid_t::hmin_old</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a76b2ebab229c58ceba7ba0c3335c20ee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a76b2ebab229c58ceba7ba0c3335c20ee">&#9670;&nbsp;</a></span>max_drho</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) thermofluid_defs::thermofluid_t::max_drho</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5f52515f71099e9ea49de5fb344cd634"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5f52515f71099e9ea49de5fb344cd634">&#9670;&nbsp;</a></span>max_rho</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) thermofluid_defs::thermofluid_t::max_rho</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a04ce4673c0e79b5725db9051da6416f6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a04ce4673c0e79b5725db9051da6416f6">&#9670;&nbsp;</a></span>max_t</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) thermofluid_defs::thermofluid_t::max_t</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af5df3b4f939be6df7161fa4d3b1868df"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af5df3b4f939be6df7161fa4d3b1868df">&#9670;&nbsp;</a></span>min_rho</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) thermofluid_defs::thermofluid_t::min_rho</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9fac5e3af50f5868347bea305ae2a0d3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9fac5e3af50f5868347bea305ae2a0d3">&#9670;&nbsp;</a></span>min_t</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) thermofluid_defs::thermofluid_t::min_t</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a020b70ecea0f263c4c207551f686a15b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a020b70ecea0f263c4c207551f686a15b">&#9670;&nbsp;</a></span>molc</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) thermofluid_defs::thermofluid_t::molc = 12.00e-3_WP</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3d5126fe2f4052217732325edf3c15a4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3d5126fe2f4052217732325edf3c15a4">&#9670;&nbsp;</a></span>molh</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) thermofluid_defs::thermofluid_t::molh = 1.007e-3_WP</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab7bcb6b8da54faa12b35ec0bc6c89978"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab7bcb6b8da54faa12b35ec0bc6c89978">&#9670;&nbsp;</a></span>moln</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) thermofluid_defs::thermofluid_t::moln = 14.00e-3_WP</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a138f6489f6992a3754b3a01cf2ae08bb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a138f6489f6992a3754b3a01cf2ae08bb">&#9670;&nbsp;</a></span>molo</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) thermofluid_defs::thermofluid_t::molo = 16.00e-3_WP</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="abd8063520dd7659bde6757352d949b11"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abd8063520dd7659bde6757352d949b11">&#9670;&nbsp;</a></span>n_total_tspecies</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer thermofluid_defs::thermofluid_t::n_total_tspecies = 0</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4251e0d4417ab580484570a1e39768bb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4251e0d4417ab580484570a1e39768bb">&#9670;&nbsp;</a></span>name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">character(len=str_medium) thermofluid_defs::thermofluid_t::name = 'N/A'</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a580e0d711d26b61990d2679d9716453b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a580e0d711d26b61990d2679d9716453b">&#9670;&nbsp;</a></span>nfilter</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer thermofluid_defs::thermofluid_t::nfilter</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a97d4d9c97331211ddeee625d08b5fa84"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a97d4d9c97331211ddeee625d08b5fa84">&#9670;&nbsp;</a></span>p_dependence</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical thermofluid_defs::thermofluid_t::p_dependence = .FALSE.</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a26e2ef5c61a164192e10a69f12d50d2a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a26e2ef5c61a164192e10a69f12d50d2a">&#9670;&nbsp;</a></span>p_input</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) thermofluid_defs::thermofluid_t::p_input</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0699d0ccdd6f0bea907f017394df4f2d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0699d0ccdd6f0bea907f017394df4f2d">&#9670;&nbsp;</a></span>p_table</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:), pointer thermofluid_defs::thermofluid_t::p_table =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="acad82d583983007d3f4cbc91422921fe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acad82d583983007d3f4cbc91422921fe">&#9670;&nbsp;</a></span>p_thermo</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), pointer thermofluid_defs::thermofluid_t::p_thermo</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa40c6b30e42da9e22c13b36c359b11b0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa40c6b30e42da9e22c13b36c359b11b0">&#9670;&nbsp;</a></span>p_thermo_cf</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:), pointer thermofluid_defs::thermofluid_t::p_thermo_cf =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad2d9b965212e122559dcb4ebf870959a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad2d9b965212e122559dcb4ebf870959a">&#9670;&nbsp;</a></span>p_thermo_file</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), pointer thermofluid_defs::thermofluid_t::p_thermo_file</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad22503a9c423916de599fba42dfc7915"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad22503a9c423916de599fba42dfc7915">&#9670;&nbsp;</a></span>p_thermo_old</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), pointer thermofluid_defs::thermofluid_t::p_thermo_old</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4c0475c75f39a0b25dc67e13b64150e8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4c0475c75f39a0b25dc67e13b64150e8">&#9670;&nbsp;</a></span>p_thermo_old_cf</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:), pointer thermofluid_defs::thermofluid_t::p_thermo_old_cf =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3a9cdc9fdf0e74a7c04ca1cf837e7094"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3a9cdc9fdf0e74a7c04ca1cf837e7094">&#9670;&nbsp;</a></span>psi_mc</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structdata__xx__defs_1_1r3__unit__.html">r3_unit_</a>), dimension(:), pointer thermofluid_defs::thermofluid_t::psi_mc =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad54074f174bffbfc98233750b5ed22d9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad54074f174bffbfc98233750b5ed22d9">&#9670;&nbsp;</a></span>psi_mc_diff</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structdata__xx__defs_1_1r3__unit__.html">r3_unit_</a>), dimension(:), pointer thermofluid_defs::thermofluid_t::psi_mc_diff =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a804283e60546c18e4eeded3123d88c53"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a804283e60546c18e4eeded3123d88c53">&#9670;&nbsp;</a></span>psi_mc_srcscfull</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structdata__xx__defs_1_1r3__unit__.html">r3_unit_</a>), dimension(:), pointer thermofluid_defs::thermofluid_t::psi_mc_srcscfull =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac605253bf25ae9160eb525036a21386f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac605253bf25ae9160eb525036a21386f">&#9670;&nbsp;</a></span>r_cst</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) thermofluid_defs::thermofluid_t::r_cst =8.314472_WP</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad4687e7beb1c9a80e95085feda48af6a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad4687e7beb1c9a80e95085feda48af6a">&#9670;&nbsp;</a></span>r_cst_inv</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) thermofluid_defs::thermofluid_t::r_cst_inv = 1.0_WP/8.314472_WP</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af1fdf2de877f5bcf70ba610a1a2b43ea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af1fdf2de877f5bcf70ba610a1a2b43ea">&#9670;&nbsp;</a></span>recalc_rho</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical thermofluid_defs::thermofluid_t::recalc_rho</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a6223cf389a27f6523c62b04acc7eaa36"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6223cf389a27f6523c62b04acc7eaa36">&#9670;&nbsp;</a></span>recompute_visc_mix_phi</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical thermofluid_defs::thermofluid_t::recompute_visc_mix_phi = .false.</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a201aa9c2397d293a0878bd84485fc92a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a201aa9c2397d293a0878bd84485fc92a">&#9670;&nbsp;</a></span>reinit_rho</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical thermofluid_defs::thermofluid_t::reinit_rho</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a80f16f35e3c7239866441281b22813b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a80f16f35e3c7239866441281b22813b8">&#9670;&nbsp;</a></span>rho_0</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) thermofluid_defs::thermofluid_t::rho_0</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a710545b7b6ffbcc89f92653239259f7c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a710545b7b6ffbcc89f92653239259f7c">&#9670;&nbsp;</a></span>rho_input</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) thermofluid_defs::thermofluid_t::rho_input</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa5602792382f614686d6e2bdceef311e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa5602792382f614686d6e2bdceef311e">&#9670;&nbsp;</a></span>rho_model</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer thermofluid_defs::thermofluid_t::rho_model</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4f675977699907b5d4088e32fa5e63da"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4f675977699907b5d4088e32fa5e63da">&#9670;&nbsp;</a></span>rho_present</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical, pointer thermofluid_defs::thermofluid_t::rho_present =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a599559ce3859cf36d18367b6e5e9500d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a599559ce3859cf36d18367b6e5e9500d">&#9670;&nbsp;</a></span>species_dump</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical thermofluid_defs::thermofluid_t::species_dump</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3f734754a8f34352cc9627f14fc0a43d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3f734754a8f34352cc9627f14fc0a43d">&#9670;&nbsp;</a></span>spray_case</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical thermofluid_defs::thermofluid_t::spray_case</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af57ece37fdb2147ec806504311b5f162"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af57ece37fdb2147ec806504311b5f162">&#9670;&nbsp;</a></span>t</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:), pointer thermofluid_defs::thermofluid_t::t =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aeb185b943454377bbc75fd9d336a7cf8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb185b943454377bbc75fd9d336a7cf8">&#9670;&nbsp;</a></span>t_from_e_type</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, pointer thermofluid_defs::thermofluid_t::t_from_e_type =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad1a60f87e557f1b58a3b66977ce7851c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad1a60f87e557f1b58a3b66977ce7851c">&#9670;&nbsp;</a></span>t_input</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) thermofluid_defs::thermofluid_t::t_input</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5f76bc0912b5169f8cbb8effcb2a8240"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5f76bc0912b5169f8cbb8effcb2a8240">&#9670;&nbsp;</a></span>thermo_spec</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structthermofluid__defs_1_1tspecies__data__t.html">tspecies_data_t</a>), pointer thermofluid_defs::thermofluid_t::thermo_spec</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a879133df09088f6ed1a556ecc38ea774"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a879133df09088f6ed1a556ecc38ea774">&#9670;&nbsp;</a></span>theta_mc</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structdata__xx__defs_1_1r3__unit__.html">r3_unit_</a>), dimension(:), pointer thermofluid_defs::thermofluid_t::theta_mc =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a724e7f2c4a62466fb2494996edd661a3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a724e7f2c4a62466fb2494996edd661a3">&#9670;&nbsp;</a></span>theta_mc_diff</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structdata__xx__defs_1_1r3__unit__.html">r3_unit_</a>), dimension(:), pointer thermofluid_defs::thermofluid_t::theta_mc_diff =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a001f508f38bf0f80c46e657e8d013cd4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a001f508f38bf0f80c46e657e8d013cd4">&#9670;&nbsp;</a></span>theta_mc_srcscfull</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structdata__xx__defs_1_1r3__unit__.html">r3_unit_</a>), dimension(:), pointer thermofluid_defs::thermofluid_t::theta_mc_srcscfull =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab097827cdf1fa097b8094d7c39b9467c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab097827cdf1fa097b8094d7c39b9467c">&#9670;&nbsp;</a></span>tspecies_initialized</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical thermofluid_defs::thermofluid_t::tspecies_initialized = .FALSE.</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a453df681fd81271d436d95078852ee8a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a453df681fd81271d436d95078852ee8a">&#9670;&nbsp;</a></span>tspecies_single_gamma</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) thermofluid_defs::thermofluid_t::tspecies_single_gamma = 1.4_WP</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af4464f4a8294c8203696c0a5bd753a45"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af4464f4a8294c8203696c0a5bd753a45">&#9670;&nbsp;</a></span>type_eos</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, pointer thermofluid_defs::thermofluid_t::type_eos =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2c17b603701ee66c3ed2be3baaaaf01c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2c17b603701ee66c3ed2be3baaaaf01c">&#9670;&nbsp;</a></span>type_tspecies</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer thermofluid_defs::thermofluid_t::type_tspecies = TYPE_DEFAULT_TSPECIES</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a09166429d0691ee1840f77c326ff42f1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a09166429d0691ee1840f77c326ff42f1">&#9670;&nbsp;</a></span>type_tspecies_trsp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer thermofluid_defs::thermofluid_t::type_tspecies_trsp = TYPE_DEFAULT_TSPECIES</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af2d7312f29cba00c416aa658d4d8c1e9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af2d7312f29cba00c416aa658d4d8c1e9">&#9670;&nbsp;</a></span>var_of_tspecies</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer, dimension(:), pointer thermofluid_defs::thermofluid_t::var_of_tspecies =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae85184f7f953df420ce8448e4f139b2d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae85184f7f953df420ce8448e4f139b2d">&#9670;&nbsp;</a></span>visc_input</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp) thermofluid_defs::thermofluid_t::visc_input</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8a274e5ae7d2d1e5026ae5535d683d61"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8a274e5ae7d2d1e5026ae5535d683d61">&#9670;&nbsp;</a></span>wmix</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:), pointer thermofluid_defs::thermofluid_t::wmix =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae1ce2624a1007c6a3eae44582eee7ceb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae1ce2624a1007c6a3eae44582eee7ceb">&#9670;&nbsp;</a></span>zmix</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">real(wp), dimension(:,:,:), pointer thermofluid_defs::thermofluid_t::zmix =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4a4c3186e8b17e887119da98296a6ec3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4a4c3186e8b17e887119da98296a6ec3">&#9670;&nbsp;</a></span>zmix_mc</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structdata__xx__defs_1_1r3__unit__.html">r3_unit_</a>), dimension(:), pointer thermofluid_defs::thermofluid_t::zmix_mc =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2bfefaaba425f6fc2f9abe09bd6b4cc2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2bfefaaba425f6fc2f9abe09bd6b4cc2">&#9670;&nbsp;</a></span>zmix_mc_diff</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structdata__xx__defs_1_1r3__unit__.html">r3_unit_</a>), dimension(:), pointer thermofluid_defs::thermofluid_t::zmix_mc_diff =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0b1adbc12f078c6f91094750faa97eac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0b1adbc12f078c6f91094750faa97eac">&#9670;&nbsp;</a></span>zmix_mc_srcscfull</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structdata__xx__defs_1_1r3__unit__.html">r3_unit_</a>), dimension(:), pointer thermofluid_defs::thermofluid_t::zmix_mc_srcscfull =&gt; null()</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this type was generated from the following file:<ul>
<li><a class="el" href="thermofluid__defs_8f90.html">thermofluid_defs.f90</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:52 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
